#define DOS_INCLDATETIME
#include "os2.h"

#include "xdate.h"


XDate :: XDate( UCHAR day, UCHAR month, SHORT year, UCHAR weekDay)
{
   d.days=day;
   d.months=month;
   d.years = year;
   d.day = weekDay;
}


XDate * XDate :: GetCurrentDate( void )
{
  DATETIME dt;
  DosGetDateTime( &dt );
  XDate * obj = new XDate( dt.day, dt.month, dt.year, dt.weekday);
  return obj;
}

